/**
 *
 * SIROCCO
 * Copyright (C) 2011 France Telecom
 * Contact: sirocco@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  $Id: PerfMetric.java 794 2011-12-21 20:39:46Z dangtran $ 
 *
 */

package org.ow2.sirocco.cloudmanager.provider.api.entity;

import java.io.Serializable;
import java.sql.Date;
import java.text.DecimalFormat;
import java.text.SimpleDateFormat;

/**
 * Performance metric type
 */
public class PerfMetric implements Serializable {
    private static final long serialVersionUID = -1L;

    private long time;

    private float value;

    /**
     * Construct a performance metric with default values
     */
    public PerfMetric() {
    }

    /**
     * Construct a performance metric with initial values
     * 
     * @param name
     * @param time
     * @param value
     */
    public PerfMetric(final long time, final float value) {
        super();
        this.time = time;
        this.value = value;
    }

    public long getTime() {
        return this.time;
    }

    public void setTime(final long time) {
        this.time = time;
    }

    public float getValue() {
        return this.value;
    }

    public void setValue(final float value) {
        this.value = value;
    }

    @Override
    public String toString() {
        DecimalFormat df = new DecimalFormat();
        df.setMaximumFractionDigits(2);
        return "[" + new SimpleDateFormat("EEEE d MMMM yyyy HH:mm:ss").format(new Date(this.time)) + "] " + ":"
            + df.format(this.value);
    }

}
