/**
 *
 * SIROCCO
 * Copyright (C) 2011 France Telecom
 * Contact: sirocco@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  $Id: ICloudProviderFactory.java 794 2011-12-21 20:39:46Z dangtran $
 *
 */

package org.ow2.sirocco.cloudmanager.provider.api.service;

import java.util.List;

import org.ow2.sirocco.cloudmanager.provider.api.entity.CloudProviderAccount;
import org.ow2.sirocco.cloudmanager.provider.api.entity.CloudProviderLocation;
import org.ow2.sirocco.cloudmanager.provider.api.exception.CloudProviderException;

public interface ICloudProviderFactory {
    String CLOUD_PROVIDER_TYPE_PROPERTY = "cloudprovider.type";

    /**
     * @param cloudProviderAccount
     * @param cloudProviderLocation
     * @return corresponding cloudProviderInstance.
     */
    ICloudProvider getCloudProviderInstance(final CloudProviderAccount cloudProviderAccount,
        final CloudProviderLocation cloudProviderLocation);

    /**
     * @param cloudProviderId
     * @throws MultiCloudException
     */
    void disposeCloudProvider(final String cloudProviderId) throws CloudProviderException;

    /**
     * @return all the cloudProviderLocation(s) available in the
     *         cloudProviderFactory.
     */
    List<CloudProviderLocation> listCloudProviderLocations();

}
